wxRichTextRenderer Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxRichTextRenderer Class Referenceabstract
Class List by Category » Rich Text

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextRenderer:
[legend]

## Detailed Description

This class isolates some common drawing functionality.

##

Library: wxRichText
Category: Rich Text

See also
  wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextRenderer ()
| Constructor.
virtual | ~wxRichTextRenderer ()
virtual bool | DrawStandardBullet (wxRichTextParagraph *paragraph, wxDC &dc, const wxRichTextAttr &attr, const wxRect &rect)=0
| Draws a standard bullet, as specified by the value of GetBulletName.
virtual bool | DrawTextBullet (wxRichTextParagraph *paragraph, wxDC &dc, const wxRichTextAttr &attr, const wxRect &rect, const wxString &text)=0
| Draws a bullet that can be described by text, such as numbered or symbol bullets.
virtual bool | DrawBitmapBullet (wxRichTextParagraph *paragraph, wxDC &dc, const wxRichTextAttr &attr, const wxRect &rect)=0
| Draws a bitmap bullet, where the bullet bitmap is specified by the value of GetBulletName.
virtual bool | EnumerateStandardBulletNames (wxArrayString &bulletNames)=0
| Enumerate the standard bullet names currently supported.
virtual bool | MeasureBullet (wxRichTextParagraph *paragraph, wxDC &dc, const wxRichTextAttr &attr, wxSize &sz)=0
| Measure the bullet.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxRichTextRenderer()

wxRichTextRenderer::wxRichTextRenderer | ( |  | ) |
| inline

Constructor.

## ◆ ~wxRichTextRenderer()

virtual wxRichTextRenderer::~wxRichTextRenderer | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ DrawBitmapBullet()

virtual bool wxRichTextRenderer::DrawBitmapBullet | ( | wxRichTextParagraph * | paragraph,
|  | wxDC & | dc,
|  | const wxRichTextAttr & | attr,
|  | const wxRect & | rect )
| pure virtual

Draws a bitmap bullet, where the bullet bitmap is specified by the value of GetBulletName.

This function should be overridden.

Implemented in wxRichTextStdRenderer.

## ◆ DrawStandardBullet()

virtual bool wxRichTextRenderer::DrawStandardBullet | ( | wxRichTextParagraph * | paragraph,
|  | wxDC & | dc,
|  | const wxRichTextAttr & | attr,
|  | const wxRect & | rect )
| pure virtual

Draws a standard bullet, as specified by the value of GetBulletName.

This function should be overridden.

Implemented in wxRichTextStdRenderer.

## ◆ DrawTextBullet()

virtual bool wxRichTextRenderer::DrawTextBullet | ( | wxRichTextParagraph * | paragraph,
|  | wxDC & | dc,
|  | const wxRichTextAttr & | attr,
|  | const wxRect & | rect,
|  | const wxString & | text )
| pure virtual

Draws a bullet that can be described by text, such as numbered or symbol bullets.

This function should be overridden.

Implemented in wxRichTextStdRenderer.

## ◆ EnumerateStandardBulletNames()

virtual bool wxRichTextRenderer::EnumerateStandardBulletNames | ( | wxArrayString & | bulletNames | ) |
| pure virtual

Enumerate the standard bullet names currently supported.

This function should be overridden.

Implemented in wxRichTextStdRenderer.

## ◆ MeasureBullet()

virtual bool wxRichTextRenderer::MeasureBullet | ( | wxRichTextParagraph * | paragraph,
|  | wxDC & | dc,
|  | const wxRichTextAttr & | attr,
|  | wxSize & | sz )
| pure virtual

Measure the bullet.

Implemented in wxRichTextStdRenderer.